Subject: Re: Parsing XML and extracting data in data structures
From: Gareth Reakes <[email-masked]>
To: [email-masked]
Date: Thu, 17 Oct 2002 10:50:09 +0100 (BST)

On Thu, 17 Oct 2002 [email-masked] wrote:

> 
> 
> Hi,
> I have got an XML document in memory and I would like to extract data out of the
> XML file into data-structures of my own. I need to extract whole of the XML file
> into data structure and not part of the XML file. Can anyone
> 1)Provide me with a sample program/code to do the same. It does not seem that
> any of the samples accompaing the code does this, specially using DOM.

DOM does take the entire XML file and put it into a data structure in 
memory. What about the DOM does not suit your needs?

> 2)Suggest which would be a better approach SAX or DOM? Note that I donot want to
> manipulate the data. I just want to extract the data and put it into data
> structures. I guess SAX would be faster.

SAX will probably be faster if you don't need the overhead of a complete 
DOM in memory. What kind of data are you trying to extract from the XML 
file?

Gareth

-- 
Gareth Reakes, Head of Product Development  
DecisionSoft Ltd.            http://www.decisionsoft.com
Office: +44 (0) 1865 203192

---------------------------------------------------------------------
To unsubscribe, e-mail: [email-masked]
For additional commands, e-mail: [email-masked]